Loading...
Searching...
No Matches
yield_slip

## Detailed Description

Examples
  yield_slip.h, and yield_slip_damped_newton.cc.

Definition at line 25 of file yield_slip.h.

## Public Types

typedef field | value_type
typedef Float | float_type

## Public Member Functions

| yield_slip (Float S, Float n, Float Cf, Float r, const geo &omega, const geo &boundary, string approx="P1")
field | residue (const field &beta_h) const
void | update_derivative (const field &beta_h) const
field | derivative_solve (const field &mrh) const
field | derivative_trans_mult (const field &mrh) const
Float | space_norm (const field &) const
Float | dual_space_norm (const field &) const
field | initial () const
void | post (const field &beta_h, field &uh, field &lambda_h) const

## Protected Attributes

Float | S
Float | n
Float | Cf
Float | r
geo | boundary
space | Xh
space | Wh
space | Yh
field | lh
field | mkh
form | m
form | mb
form | a
form | b
form | c1
problem | pmb
problem | pa
problem | pA

## Member Typedef Documentation

## value_type

typedef field value_type

Examples
  yield_slip.h.

Definition at line 27 of file yield_slip.h.

## float_type

typedef Float float_type

Examples
  yield_slip.h.

Definition at line 28 of file yield_slip.h.

## Constructor & Destructor Documentation

## yield_slip()

yield_slip | ( | Float | S,
|  | Float | n,
|  | Float | Cf,
|  | Float | r,
|  | const geo & | omega,
|  | const geo & | boundary,
|  | string | approx = `"P1"`
| ) |  |

Examples
  yield_slip1.icc.

Definition at line 26 of file yield_slip1.icc.

## Member Function Documentation

## residue()

field residue | ( | const field & | beta_h | ) | const

Examples
  yield_slip.h, and yield_slip1.icc.

Definition at line 47 of file yield_slip1.icc.

## update_derivative()

void update_derivative | ( | const field & | beta_h | ) | const

Examples
  yield_slip.h, and yield_slip1.icc.

Definition at line 56 of file yield_slip1.icc.

## derivative_solve()

field derivative_solve | ( | const field & | mrh | ) | const

Examples
  yield_slip.h, and yield_slip2.icc.

Definition at line 26 of file yield_slip2.icc.

## derivative_trans_mult()

field derivative_trans_mult | ( | const field & | mrh | ) | const

Examples
  yield_slip.h, and yield_slip2.icc.

Definition at line 33 of file yield_slip2.icc.

## space_norm()

Float space_norm | ( | const field & | rh | ) | const

Examples
  yield_slip.h, and yield_slip2.icc.

Definition at line 44 of file yield_slip2.icc.

## dual_space_norm()

Float dual_space_norm | ( | const field & | mrh | ) | const

Examples
  yield_slip.h, and yield_slip2.icc.

Definition at line 47 of file yield_slip2.icc.

## initial()

field initial | ( |  | ) | const

Examples
  yield_slip.h, yield_slip2.icc, and yield_slip_damped_newton.cc.

Definition at line 52 of file yield_slip2.icc.

## post()

void post | ( | const field & | beta_h,
|  | field & | uh,
|  | field & | lambda_h
| ) |  | const

Examples
  yield_slip.h, yield_slip2.icc, and yield_slip_damped_newton.cc.

Definition at line 56 of file yield_slip2.icc.

## Member Data Documentation

## S

Float S

protected

Examples
  yield_slip.h, and yield_slip1.icc.

Definition at line 40 of file yield_slip.h.

## n

Float n

protected

Examples
  yield_slip.h, and yield_slip1.icc.

Definition at line 40 of file yield_slip.h.

## Cf

Float Cf

protected

Examples
  yield_slip.h, yield_slip1.icc, and yield_slip2.icc.

Definition at line 40 of file yield_slip.h.

## r

Float r

protected

Examples
  yield_slip.h, yield_slip1.icc, and yield_slip2.icc.

Definition at line 40 of file yield_slip.h.

## boundary

geo boundary

protected

Examples
  yield_slip.h, and yield_slip2.icc.

Definition at line 41 of file yield_slip.h.

## Xh

space Xh

protected

Examples
  yield_slip.h, yield_slip1.icc, and yield_slip2.icc.

Definition at line 42 of file yield_slip.h.

## Wh

space Wh

protected

Examples
  yield_slip.h, yield_slip1.icc, and yield_slip2.icc.

Definition at line 42 of file yield_slip.h.

## Yh

space Yh

protected

Examples
  yield_slip.h, and yield_slip2.icc.

Definition at line 42 of file yield_slip.h.

## lh

field lh

protected

Examples
  yield_slip.h, and yield_slip2.icc.

Definition at line 43 of file yield_slip.h.

## mkh

field mkh

protected

Examples
  yield_slip.h, and yield_slip1.icc.

Definition at line 43 of file yield_slip.h.

## m

form m

protected

Examples
  yield_slip.h.

Definition at line 44 of file yield_slip.h.

## mb

form mb

protected

Examples
  yield_slip.h, and yield_slip2.icc.

Definition at line 44 of file yield_slip.h.

## a

form a

protected

Examples
  yield_slip.h, and yield_slip1.icc.

Definition at line 44 of file yield_slip.h.

## b

form b

protected

Examples
  yield_slip.h, yield_slip1.icc, and yield_slip2.icc.

Definition at line 44 of file yield_slip.h.

## c1

form c1

mutable protected

Examples
  yield_slip.h, yield_slip1.icc, and yield_slip2.icc.

Definition at line 45 of file yield_slip.h.

## pmb

problem pmb

protected

Examples
  yield_slip.h, and yield_slip2.icc.

Definition at line 46 of file yield_slip.h.

## pa

problem pa

protected

Examples
  yield_slip.h, yield_slip1.icc, and yield_slip2.icc.

Definition at line 46 of file yield_slip.h.

## pA

problem pA

mutable protected

Examples
  yield_slip.h, yield_slip1.icc, and yield_slip2.icc.

Definition at line 47 of file yield_slip.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/yield_slip.h
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/yield_slip1.icc
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/yield_slip2.icc